#
# Makefile for UNIX (GNU/Linux)
#
# by Korbinian Strimmer and Arndt von Haeseler (1995-96)
# this file belongs to the PUZZLE version 2.5 distribution
#


# ANSI C compiler
CC = gcc -O

# ANSI math library
LIBS = -lm


# Compiling PUZZLE
all : puzzle move cleanup
puzzle : puzzle.o ml1.o ml2.o ml3.o model1.o model2.o matrixut.o
	$(CC) -o $@ puzzle.o ml1.o ml2.o ml3.o model1.o model2.o matrixut.o $(LIBS)
move :
	mv puzzle ../PROGRAM
cleanup :
	rm *.o


# Objects
puzzle.o : puzzle.c ml.h matrixut.h
	$(CC) -c puzzle.c
ml1.o : ml1.c ml.h matrixut.h
	$(CC) -c ml1.c
ml2.o : ml2.c ml.h matrixut.h
	$(CC) -c ml2.c
ml3.o : ml3.c ml.h matrixut.h
	$(CC) -c ml3.c
model1.o : model1.c ml.h matrixut.h
	$(CC) -c model1.c
model2.o : model2.c ml.h matrixut.h
	$(CC) -c model2.c
matrixut.o : matrixut.c matrixut.h
	$(CC) -c matrixut.c
